Bug 1734438 - [abrt] nvkm_engine_init: WARNING: CPU: 4 PID: 1508 at drivers/gpu/drm/nouveau/nvkm/engine/gr/gf100.c:1727 gf100_gr_init_ctxctl+0x66f/0x720 [nouveau] [nouveau]
Summary: [abrt] nvkm_engine_init: WARNING: CPU: 4 PID: 1508 at drivers/gpu/drm/nouveau...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-nouveau
Version: 30
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ben Skeggs
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:f3ef06ead0ceb749de91c4ecae3...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-30 14:21 UTC by Hendrik Preuss
Modified: 2020-05-26 18:14 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-05-26 18:14:58 UTC
Type: ---


Attachments (Terms of Use)
File: dmesg (93.06 KB, text/plain)
2019-07-30 14:21 UTC, Hendrik Preuss
no flags Details

Description Hendrik Preuss 2019-07-30 14:21:09 UTC
Description of problem:
Occured after reboot.

Additional info:
reporter:       libreport-2.10.1
WARNING: CPU: 4 PID: 1508 at drivers/gpu/drm/nouveau/nvkm/engine/gr/gf100.c:1727 gf100_gr_init_ctxctl+0x66f/0x720 [nouveau]
Modules linked in: xt_CHECKSUM ipt_MASQUERADE tun bridge stp llc nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter ip_tables cmac bnep sunrpc vfat fat arc4 hid_multitouch mei_hdcp mei_wdt snd_hda_codec_hdmi intel_rapl joydev iTCO_wdt snd_soc_skl iTCO_vendor_support x86_pkg_temp_thermal intel_powerclamp coretemp snd_soc_hdac_hda snd_hda_ext_core snd_soc_skl_ipc snd_soc_sst_ipc kvm_intel snd_soc_sst_dsp snd_soc_acpi_intel_match ath10k_pci snd_soc_acpi snd_hda_codec_realtek ath10k_core snd_hda_codec_generic dell_laptop ledtrig_audio snd_soc_core dell_wmi kvm snd_compress dell_smbios dcdbas dell_smm_hwmon ac97_bus snd_pcm_dmaengine
 mac80211 uvcvideo irqbypass btusb snd_hda_intel videobuf2_vmalloc btrtl videobuf2_memops btbcm dell_wmi_descriptor videobuf2_v4l2 wmi_bmof btintel snd_hda_codec intel_wmi_thunderbolt videobuf2_common bluetooth snd_hda_core videodev crct10dif_pclmul ath snd_hwdep crc32_pclmul cdc_acm media snd_seq cfg80211 snd_seq_device ecdh_generic snd_pcm ghash_clmulni_intel intel_cstate intel_uncore rtsx_pci_ms intel_rapl_perf memstick idma64 snd_timer snd mei_me rfkill i2c_i801 soundcore mei ucsi_acpi typec_ucsi intel_pch_thermal processor_thermal_device typec intel_lpss_pci intel_soc_dts_iosf intel_lpss int3403_thermal int340x_thermal_zone int3400_thermal acpi_thermal_rel pcc_cpufreq intel_hid dell_smo8800 sparse_keymap acpi_pad i915 nouveau ttm i2c_algo_bit drm_kms_helper rtsx_pci_sdmmc mmc_core drm nvme mxm_wmi crc32c_intel nvme_core serio_raw rtsx_pci i2c_hid pinctrl_cannonlake video wmi pinctrl_intel
CPU: 4 PID: 1508 Comm: gnome-shell Not tainted 5.1.20-300.fc30.x86_64 #1
Hardware name: Dell Inc. XPS 15 9570/0D0T05, BIOS 1.12.0 06/27/2019
RIP: 0010:gf100_gr_init_ctxctl+0x66f/0x720 [nouveau]
Code: 40 10 48 8b 78 10 4c 8b 67 50 4d 85 e4 75 04 4c 8b 67 10 e8 c3 e6 21 e9 4c 89 e2 48 c7 c7 ba 78 55 c0 48 89 c6 e8 80 4c cb e8 <0f> 0b b8 f0 ff ff ff e9 62 fe ff ff 48 8b 44 24 08 48 8b 40 10 48
RSP: 0018:ffffa5568388bc10 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff8ec6e1696c00 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000096 RDI: ffff8ec6ec3168c0
RBP: ffff8ec6e0bd8000 R08: 0000000000000001 R09: 0000000000000472
R10: ffffffffaabdb188 R11: 0000000000000003 R12: ffff8ec6e9161950
R13: ffff8ec6e870cc00 R14: ffff8ec6e0bd8010 R15: ffff8ec6b99a4018
FS:  00007f83aed51d00(0000) GS:ffff8ec6ec300000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007f83ac1ec000 CR3: 0000000437d2a003 CR4: 00000000003606e0
Call Trace:
 nvkm_engine_init+0xa7/0x120 [nouveau]
 nvkm_subdev_init+0x92/0xd0 [nouveau]
 nvkm_engine_ref.part.0+0x3f/0x60 [nouveau]
 nvkm_ioctl_new+0x121/0x200 [nouveau]
 ? nvkm_fifo_chan_child_del+0x90/0x90 [nouveau]
 ? gf100_gr_dtor+0xe0/0xe0 [nouveau]
 nvkm_ioctl+0xde/0x180 [nouveau]
 ? usif_ioctl+0x4ff/0x700 [nouveau]
 usif_ioctl+0x693/0x700 [nouveau]
 nouveau_drm_ioctl+0xa8/0xb0 [nouveau]
 do_vfs_ioctl+0x405/0x660
 ksys_ioctl+0x5e/0x90
 __x64_sys_ioctl+0x16/0x20
 do_syscall_64+0x5f/0x190
 ? page_fault+0x8/0x30
 entry_SYSCALL_64_after_hwframe+0x44/0xa9
RIP: 0033:0x7f83b29ee1fb
Code: 0f 1e fa 48 8b 05 8d dc 0c 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 0f 1f 44 00 00 f3 0f 1e fa b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 5d dc 0c 00 f7 d8 64 89 01 48
RSP: 002b:00007ffc8bfec408 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
RAX: ffffffffffffffda RBX: 0000555de3c701f0 RCX: 00007f83b29ee1fb
RDX: 0000555de3c701f0 RSI: 00000000c0386447 RDI: 000000000000000e
RBP: 00000000c0386447 R08: 0000000000000038 R09: 0000555de3c72840
R10: 0000000000080000 R11: 0000000000000246 R12: 0000000000000000
R13: 000000000000000e R14: 0000555de3c70228 R15: 0000555de3c6e910

Potential duplicate: bug 1671414

Comment 1 Hendrik Preuss 2019-07-30 14:21:19 UTC
Created attachment 1594646 [details]
File: dmesg

Comment 2 Jean-Jacques Sarton 2019-07-31 15:01:04 UTC
Description of problem:
The args for the kernel whre simply expanded with the argument nomodeset. If this don't happen the Xserver don't work after the login-

Version-Release number of selected component:
kernel-core-5.1.20-300.fc30

Additional info:
reporter:       libreport-2.10.1
cmdline:        BOOT_IMAGE=(hd1,gpt4)/boot/vmlinuz-5.1.20-300.fc30.x86_64 root=UUID=548532dd-d988-40a3-a6c9-f78539b77f57 ro resume=UUID=1d3d8889-ff7d-4103-8962-8378088f8ead rhgb quiet nomodeset
crash_function: nvkm_engine_init
kernel:         5.1.20-300.fc30.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 11 PID: 1224 at drivers/gpu/drm/nouveau/nvkm/engine/gr/gf100.c:1727 gf100_gr_init_ctxctl+0x66f/0x720 [nouveau]
Modules linked in: ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter ip_tables cmac bnep sunrpc vfat fat arc4 iwlmvm mac80211 uvcvideo videobuf2_vmalloc videobuf2_memops videobuf2_v4l2 videobuf2_common videodev media btusb btrtl snd_soc_skl btbcm snd_soc_hdac_hda btintel snd_hda_ext_core bluetooth intel_rapl iTCO_wdt x86_pkg_temp_thermal iTCO_vendor_support intel_powerclamp iwlwifi snd_soc_skl_ipc acer_wmi snd_soc_sst_ipc wmi_bmof intel_wmi_thunderbolt snd_soc_sst_dsp acer_wireless snd_soc_acpi_intel_match snd_soc_acpi snd_soc_core snd_compress ac97_bus snd_hda_codec_realtek coretemp snd_pcm_dmaengine kvm_intel snd_hda_codec_generic ledtrig_audio kvm snd_hda_intel snd_hda_codec
 snd_hda_core irqbypass joydev snd_hwdep hid_multitouch snd_seq crct10dif_pclmul crc32_pclmul snd_seq_device rtsx_pci_ms ghash_clmulni_intel idma64 snd_pcm memstick cfg80211 intel_lpss_pci sparse_keymap intel_cstate snd_timer pcc_cpufreq snd ecdh_generic mei_hdcp intel_uncore rfkill intel_lpss soundcore i2c_i801 mei_me intel_rapl_perf mei intel_pch_thermal acpi_pad i915 nouveau mxm_wmi ttm rtsx_pci_sdmmc i2c_algo_bit mmc_core drm_kms_helper drm crc32c_intel r8169 rtsx_pci serio_raw i2c_hid pinctrl_cannonlake wmi video pinctrl_intel
CPU: 11 PID: 1224 Comm: Xorg Not tainted 5.1.20-300.fc30.x86_64 #1
Hardware name: Acer Predator PH317-52/Sienna_CFS, BIOS V1.24 12/05/2018
RIP: 0010:gf100_gr_init_ctxctl+0x66f/0x720 [nouveau]
Code: 40 10 48 8b 78 10 4c 8b 67 50 4d 85 e4 75 04 4c 8b 67 10 e8 c3 26 ec c0 4c 89 e2 48 c7 c7 ba 38 8b c0 48 89 c6 e8 80 8c 95 c0 <0f> 0b b8 f0 ff ff ff e9 62 fe ff ff 48 8b 44 24 08 48 8b 40 10 48
RSP: 0018:ffffb0f942a8fc10 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff9959d1e20400 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000096 RDI: ffff9959de2d68c0
RBP: ffff9959d4354000 R08: 0000000000000001 R09: 00000000000003e2
R10: ffffffff82bd7898 R11: 0000000000000003 R12: ffff9959db0cbf40
R13: ffff9959da640c00 R14: ffff9959d4354010 R15: ffff9959b9660018
FS:  00007fcb1de84a80(0000) GS:ffff9959de2c0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fcb19e4f000 CR3: 0000000439fb2006 CR4: 00000000003606e0
Call Trace:
 nvkm_engine_init+0xa7/0x120 [nouveau]
 nvkm_subdev_init+0x92/0xd0 [nouveau]
 nvkm_engine_ref.part.0+0x3f/0x60 [nouveau]
 nvkm_ioctl_new+0x121/0x200 [nouveau]
 ? nvkm_fifo_chan_child_del+0x90/0x90 [nouveau]
 ? gf100_gr_dtor+0xe0/0xe0 [nouveau]
 nvkm_ioctl+0xde/0x180 [nouveau]
 ? usif_ioctl+0x4ff/0x700 [nouveau]
 usif_ioctl+0x693/0x700 [nouveau]
 nouveau_drm_ioctl+0xa8/0xb0 [nouveau]
 do_vfs_ioctl+0x405/0x660
 ksys_ioctl+0x5e/0x90
 __x64_sys_ioctl+0x16/0x20
 do_syscall_64+0x5f/0x190
 ? page_fault+0x8/0x30
 entry_SYSCALL_64_after_hwframe+0x44/0xa9
RIP: 0033:0x7fcb1e2ef1fb
Code: 0f 1e fa 48 8b 05 8d dc 0c 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 0f 1f 44 00 00 f3 0f 1e fa b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 5d dc 0c 00 f7 d8 64 89 01 48
RSP: 002b:00007fffa9a930c8 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
RAX: ffffffffffffffda RBX: 000055ad99a65680 RCX: 00007fcb1e2ef1fb
RDX: 000055ad99a65680 RSI: 00000000c0386447 RDI: 0000000000000016
RBP: 00000000c0386447 R08: 0000000000000038 R09: 000055ad99a64640
R10: 0000000000080000 R11: 0000000000000246 R12: 0000000000000000
R13: 0000000000000016 R14: 000055ad99a656b8 R15: 000055ad99a63fe0

Comment 3 Hendrik Preuss 2019-08-28 20:37:04 UTC
Description of problem:
at log in

Version-Release number of selected component:
kernel-core-5.1.20-300.fc30

Additional info:
reporter:       libreport-2.10.1
cmdline:        BOOT_IMAGE=(hd0,gpt7)/vmlinuz-5.1.20-300.fc30.x86_64 root=/dev/mapper/fedora-root ro resume=/dev/mapper/fedora-swap rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet
crash_function: nvkm_engine_init
kernel:         5.1.20-300.fc30.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
#1 nvkm_engine_init in nouveau
#2 nvkm_subdev_init in nouveau
#3 nvkm_engine_ref in nouveau
#4 nvkm_ioctl_new in nouveau
#5 ? nvkm_fifo_chan_child_del in nouveau
#6 ? gf100_gr_dtor in nouveau
#7 nvkm_ioctl in nouveau
#8 ? usif_ioctl in nouveau
#9 usif_ioctl in nouveau
#10 nouveau_drm_ioctl in nouveau

Comment 4 Eduardo Cueto Mendoza 2019-09-14 16:39:31 UTC
Description of problem:
When Gnome starts it sends the error withouth the need for further interaction.

Version-Release number of selected component:
kernel-core-5.2.13-200.fc30

Additional info:
reporter:       libreport-2.10.1
cmdline:        BOOT_IMAGE=(hd0,gpt5)/vmlinuz-5.2.13-200.fc30.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.luks.uuid=luks-35d47d82-6724-4107-917e-80eb9c479e5a rd.lvm.lv=fedora_localhost-live/swap rhgb quiet
crash_function: nvkm_engine_init
kernel:         5.2.13-200.fc30.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 0 PID: 1570 at drivers/gpu/drm/nouveau/nvkm/engine/gr/gf100.c:1727 gf100_gr_init_ctxctl+0x66b/0x720 [nouveau]
Modules linked in: nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter ip_tables cmac bnep sunrpc vfat fat joydev arc4 intel_rapl snd_hda_codec_hdmi snd_hda_codec_generic ledtrig_audio x86_pkg_temp_thermal intel_powerclamp snd_hda_intel hid_multitouch spi_pxa2xx_platform coretemp dw_dmac snd_hda_codec iwlmvm uvcvideo snd_hda_core videobuf2_vmalloc mac80211 rtsx_usb_ms snd_hwdep videobuf2_memops kvm mei_hdcp memstick snd_seq btusb videobuf2_v4l2 iTCO_wdt iTCO_vendor_support irqbypass videobuf2_common iwlwifi videodev btrtl snd_seq_device intel_cstate btbcm btintel snd_pcm media intel_uncore bluetooth intel_rapl_perf cfg80211
 snd_timer asus_nb_wmi asus_wmi idma64 ecdh_generic ecc sparse_keymap snd wmi_bmof mei_me intel_lpss_pci soundcore intel_lpss i2c_i801 rfkill mei processor_thermal_device intel_soc_dts_iosf intel_pch_thermal int3403_thermal int340x_thermal_zone pcc_cpufreq int3400_thermal asus_wireless acpi_thermal_rel acpi_pad dm_crypt nouveau i915 ttm crct10dif_pclmul i2c_algo_bit crc32_pclmul crc32c_intel drm_kms_helper mxm_wmi drm ghash_clmulni_intel r8169 serio_raw i2c_hid video wmi rtsx_usb_sdmmc mmc_core rtsx_usb
CPU: 0 PID: 1570 Comm: gnome-shell Not tainted 5.2.13-200.fc30.x86_64 #1
Hardware name: ASUSTeK COMPUTER INC. X580VD/X580VD, BIOS X580VD.315 03/08/2018
RIP: 0010:gf100_gr_init_ctxctl+0x66b/0x720 [nouveau]
Code: 8b 40 10 48 8b 78 10 4c 8b 67 50 4d 85 e4 75 03 4c 8b 27 e8 97 fc cd d9 4c 89 e2 48 c7 c7 70 3b aa c0 48 89 c6 e8 b4 9a 76 d9 <0f> 0b b8 f0 ff ff ff e9 65 fe ff ff 48 8b 44 24 08 48 8b 40 10 48
RSP: 0018:ffffae914328fc10 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffffa0d913062000 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000086 RDI: ffffa0d91ea17900
RBP: ffffa0d913390000 R08: 0000000000000001 R09: 0000000000000414
R10: 00000000000162f4 R11: 0000000000000003 R12: ffffa0d91be49be0
R13: ffffa0d914fc4c00 R14: ffffa0d913390010 R15: ffffa0d912ae7018
FS:  00007fdeadea2d00(0000) GS:ffffa0d91ea00000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007fdeac36a000 CR3: 000000042b152006 CR4: 00000000003606f0
Call Trace:
 nvkm_engine_init+0xa7/0x120 [nouveau]
 nvkm_subdev_init+0x92/0xd0 [nouveau]
 nvkm_engine_ref.part.0+0x3f/0x60 [nouveau]
 nvkm_ioctl_new+0x121/0x200 [nouveau]
 ? nvkm_fifo_chan_child_del+0x90/0x90 [nouveau]
 ? gf100_gr_dtor+0xe0/0xe0 [nouveau]
 nvkm_ioctl+0xde/0x180 [nouveau]
 ? usif_ioctl+0x51f/0x700 [nouveau]
 usif_ioctl+0x693/0x700 [nouveau]
 nouveau_drm_ioctl+0xa8/0xb0 [nouveau]
 do_vfs_ioctl+0x405/0x660
 ksys_ioctl+0x5e/0x90
 __x64_sys_ioctl+0x16/0x20
 do_syscall_64+0x5f/0x1a0
 ? page_fault+0x8/0x30
 entry_SYSCALL_64_after_hwframe+0x44/0xa9
RIP: 0033:0x7fdeb1b3f3bb
Code: 0f 1e fa 48 8b 05 cd ca 0c 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 0f 1f 44 00 00 f3 0f 1e fa b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 9d ca 0c 00 f7 d8 64 89 01 48
RSP: 002b:00007ffff1e49ea8 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
RAX: ffffffffffffffda RBX: 00005624a469c9e0 RCX: 00007fdeb1b3f3bb
RDX: 00005624a469c9e0 RSI: 00000000c0386447 RDI: 000000000000000e
RBP: 00000000c0386447 R08: 0000000000000038 R09: 00005624a469ee20
R10: 0000000000000030 R11: 0000000000000246 R12: 0000000000000000
R13: 000000000000000e R14: 00005624a469ca18 R15: 00005624a469b1f0

Comment 5 Giovanni Grieco 2019-09-26 07:20:24 UTC
Description of problem:
- Boot up the system
- Suspend the system and take a coffee
- Open the lid and try to login. The entire system freezes for a minute or so

Version-Release number of selected component:
kernel-core-5.2.16-200.fc30

Additional info:
reporter:       libreport-2.10.1
cmdline:        BOOT_IMAGE=(hd0,gpt2)/vmlinuz-5.2.16-200.fc30.x86_64 root=/dev/mapper/fedora-root ro resume=/dev/mapper/fedora-swap rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet
crash_function: nvkm_engine_init
kernel:         5.2.16-200.fc30.x86_64
runlevel:       N 5
type:           Kerneloops

Truncated backtrace:
#1 nvkm_engine_init in nouveau
#2 nvkm_subdev_init in nouveau
#3 nvkm_engine_ref in nouveau
#4 nvkm_ioctl_new in nouveau
#5 ? nvkm_fifo_chan_child_del in nouveau
#6 ? gf100_gr_dtor in nouveau
#7 nvkm_ioctl in nouveau
#8 ? usif_ioctl in nouveau
#9 usif_ioctl in nouveau
#10 nouveau_drm_ioctl in nouveau

Comment 6 Jean-Jacques Sarton 2019-09-26 08:45:21 UTC
I use at this time an experimental kernel provided from copr The patches nouveau driver seem to work very well. Auto from the patch is karol herbst.

https://copr.fedorainfracloud.org/coprs/karolherbst/Nouveau_Testing/build/1037764/

The kernel version is 5.2.16-999.fc30.x86_64

Comment 7 Giovanni Grieco 2019-10-01 07:19:43 UTC
(In reply to Jean-Jacques Sarton from comment #6)
> I use at this time an experimental kernel provided from copr The patches
> nouveau driver seem to work very well. Auto from the patch is karol herbst.
> 
> https://copr.fedorainfracloud.org/coprs/karolherbst/Nouveau_Testing/build/
> 1037764/
> 
> The kernel version is 5.2.16-999.fc30.x86_64


I've been testing this patch for over 24 hours. So far so good!

Cheers

Comment 8 Michael Shinn 2019-10-13 00:19:27 UTC
Description of problem:
Cold boot up

Version-Release number of selected component:
kernel-core-5.2.18-200.fc30

Additional info:
reporter:       libreport-2.10.1
cmdline:        BOOT_IMAGE=(hd0,gpt3)/vmlinuz-5.2.18-200.fc30.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.luks.uuid=luks-68f2d586-fc77-4476-8e4a-ac76a2389b55 rd.lvm.lv=fedora_localhost-live/swap rhgb quiet
crash_function: nvkm_engine_init
kernel:         5.2.18-200.fc30.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
#1 nvkm_engine_init in nouveau
#2 nvkm_subdev_init in nouveau
#3 nvkm_engine_ref in nouveau
#4 nvkm_ioctl_new in nouveau
#5 ? nvkm_fifo_chan_child_del in nouveau
#6 ? gf100_gr_dtor in nouveau
#7 nvkm_ioctl in nouveau
#8 ? usif_ioctl in nouveau
#9 usif_ioctl in nouveau
#10 nouveau_drm_ioctl in nouveau

Comment 9 Michael Shinn 2019-10-28 18:31:14 UTC
Description of problem:
error occured on initial boot

Version-Release number of selected component:
kernel-core-5.2.18-200.fc30

Additional info:
reporter:       libreport-2.10.1
cmdline:        BOOT_IMAGE=(hd0,gpt3)/vmlinuz-5.2.18-200.fc30.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.luks.uuid=luks-68f2d586-fc77-4476-8e4a-ac76a2389b55 rd.lvm.lv=fedora_localhost-live/swap rhgb quiet
crash_function: nvkm_engine_init
kernel:         5.2.18-200.fc30.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
#1 nvkm_engine_init in nouveau
#2 nvkm_subdev_init in nouveau
#3 nvkm_engine_ref in nouveau
#4 nvkm_ioctl_new in nouveau
#5 ? nvkm_fifo_chan_child_del in nouveau
#6 ? gf100_gr_dtor in nouveau
#7 nvkm_ioctl in nouveau
#8 ? usif_ioctl in nouveau
#9 usif_ioctl in nouveau
#10 nouveau_drm_ioctl in nouveau

Comment 10 Michael Shinn 2019-10-28 18:51:37 UTC
Description of problem:
issue occured on initial boot

Version-Release number of selected component:
kernel-core-5.3.7-200.fc30

Additional info:
reporter:       libreport-2.10.1
cmdline:        BOOT_IMAGE=(hd0,gpt3)/vmlinuz-5.3.7-200.fc30.x86_64 root=/dev/mapper/fedora_localhost--live-root ro resume=/dev/mapper/fedora_localhost--live-swap rd.lvm.lv=fedora_localhost-live/root rd.luks.uuid=luks-68f2d586-fc77-4476-8e4a-ac76a2389b55 rd.lvm.lv=fedora_localhost-live/swap rhgb quiet
crash_function: nvkm_engine_init
kernel:         5.3.7-200.fc30.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
#1 nvkm_engine_init in nouveau
#2 nvkm_subdev_init in nouveau
#3 nvkm_engine_ref in nouveau
#4 nvkm_ioctl_new in nouveau
#5 ? nvkm_fifo_chan_child_del in nouveau
#6 ? gf100_gr_dtor in nouveau
#7 nvkm_ioctl in nouveau
#8 ? usif_ioctl in nouveau
#9 usif_ioctl in nouveau
#10 nouveau_drm_ioctl in nouveau

Comment 11 Michael Shinn 2019-10-28 18:57:13 UTC
As above, not sure if the patch discussed above was added into 5.3.7, but if so the same error persists in 5.3.7 as with 5.2.16.

Comment 12 pkania@gmail.com 2019-11-05 08:52:09 UTC
Description of problem:
After fresh install of Fedora 30 on my lapton I tried do my first login to the desktop. The login screan has appeared, I entered the username and password and proceed to the login. The login failed, the system was not responding; only mouse coursor was movable. Nothing appeared on the screen.

Version-Release number of selected component:
kernel-core-5.3.7-200.fc30

Additional info:
reporter:       libreport-2.10.1
cmdline:        BOOT_IMAGE=(hd0,gpt2)/vmlinuz-5.3.7-200.fc30.x86_64 root=/dev/mapper/fedora-root ro resume=/dev/mapper/fedora-swap rd.lvm.lv=fedora/root rd.lvm.lv=fedora/swap rhgb quiet
crash_function: nvkm_engine_init
kernel:         5.3.7-200.fc30.x86_64
runlevel:       unknown
type:           Kerneloops

Truncated backtrace:
WARNING: CPU: 7 PID: 1449 at drivers/gpu/drm/nouveau/nvkm/engine/gr/gf100.c:1727 gf100_gr_init_ctxctl+0x66b/0x720 [nouveau]
Modules linked in: nf_conntrack_netbios_ns nf_conntrack_broadcast xt_CT ip6t_rpfilter ip6t_REJECT nf_reject_ipv6 ipt_REJECT nf_reject_ipv4 xt_conntrack ebtable_nat ebtable_broute ip6table_nat ip6table_mangle ip6table_raw ip6table_security iptable_nat nf_nat iptable_mangle iptable_raw iptable_security nf_conntrack nf_defrag_ipv6 nf_defrag_ipv4 libcrc32c ip_set nfnetlink ebtable_filter ebtables ip6table_filter ip6_tables iptable_filter ip_tables cmac bnep sunrpc dm_crypt snd_hda_codec_hdmi snd_hda_codec_realtek snd_hda_codec_generic x86_pkg_temp_thermal intel_powerclamp coretemp iwlmvm snd_hda_intel kvm_intel mac80211 snd_hda_codec kvm snd_hda_core uvcvideo snd_hwdep irqbypass libarc4 btusb snd_seq videobuf2_vmalloc btrtl videobuf2_memops crct10dif_pclmul btbcm snd_seq_device iwlwifi crc32_pclmul btintel dell_laptop videobuf2_v4l2 hid_multitouch ledtrig_audio iTCO_wdt mei_hdcp ghash_clmulni_intel iTCO_vendor_support bluetooth snd_pcm videobuf2_common intel_rapl_msr dell_smm_hwmon
 videodev intel_cstate cfg80211 dell_wmi intel_uncore snd_timer processor_thermal_device mc dell_smbios dcdbas idma64 joydev mei_me snd intel_rapl_perf wmi_bmof intel_rapl_common dell_wmi_descriptor intel_lpss_pci ecdh_generic i2c_i801 mei soundcore intel_lpss intel_soc_dts_iosf ecc rfkill intel_pch_thermal int3403_thermal acpi_pad intel_hid int3402_thermal sparse_keymap int3400_thermal int340x_thermal_zone acpi_thermal_rel nouveau i915 ttm i2c_algo_bit drm_kms_helper mxm_wmi drm crc32c_intel r8169 serio_raw i2c_hid wmi video uas usb_storage fuse
CPU: 7 PID: 1449 Comm: gnome-shell Not tainted 5.3.7-200.fc30.x86_64 #1
Hardware name: Dell Inc. Inspiron 15 7000 Gaming/065C71, BIOS 1.10.0 05/17/2019
RIP: 0010:gf100_gr_init_ctxctl+0x66b/0x720 [nouveau]
Code: 8b 40 10 48 8b 78 10 4c 8b 67 50 4d 85 e4 75 03 4c 8b 27 e8 17 31 d0 cb 4c 89 e2 48 c7 c7 6a bd a8 c0 48 89 c6 e8 73 3c 78 cb <0f> 0b b8 f0 ff ff ff e9 65 fe ff ff 48 8b 44 24 08 48 8b 40 10 48
RSP: 0018:ffffa7a3c1697c10 EFLAGS: 00010282
RAX: 0000000000000000 RBX: ffff99d4a62df400 RCX: 0000000000000006
RDX: 0000000000000007 RSI: 0000000000000086 RDI: ffff99d4af7d7900
RBP: ffff99d4a4ab4000 R08: 0000000000000001 R09: 00000000000003c6
R10: 0000000000015028 R11: 0000000000000003 R12: ffff99d4ac4da6a0
R13: ffff99d4a4acf800 R14: ffff99d4a4ab4010 R15: ffff99d4a8af6018
FS:  00007ffb1c7a9d00(0000) GS:ffff99d4af7c0000(0000) knlGS:0000000000000000
CS:  0010 DS: 0000 ES: 0000 CR0: 0000000080050033
CR2: 00007ffb184e0000 CR3: 0000000433b56006 CR4: 00000000003626e0
Call Trace:
 nvkm_engine_init+0xa7/0x120 [nouveau]
 nvkm_subdev_init+0x92/0xd0 [nouveau]
 nvkm_engine_ref.part.0+0x3f/0x60 [nouveau]
 nvkm_ioctl_new+0x121/0x200 [nouveau]
 ? nvkm_fifo_chan_child_del+0x90/0x90 [nouveau]
 ? gf100_gr_dtor+0xe0/0xe0 [nouveau]
 nvkm_ioctl+0xde/0x180 [nouveau]
 ? usif_ioctl+0x4ef/0x6f0 [nouveau]
 usif_ioctl+0x68f/0x6f0 [nouveau]
 nouveau_drm_ioctl+0xa8/0xb0 [nouveau]
 do_vfs_ioctl+0x405/0x660
 ksys_ioctl+0x5e/0x90
 __x64_sys_ioctl+0x16/0x20
 do_syscall_64+0x5f/0x1a0
 entry_SYSCALL_64_after_hwframe+0x44/0xa9
RIP: 0033:0x7ffb204313bb
Code: 0f 1e fa 48 8b 05 cd ca 0c 00 64 c7 00 26 00 00 00 48 c7 c0 ff ff ff ff c3 66 0f 1f 44 00 00 f3 0f 1e fa b8 10 00 00 00 0f 05 <48> 3d 01 f0 ff ff 73 01 c3 48 8b 0d 9d ca 0c 00 f7 d8 64 89 01 48
RSP: 002b:00007fffa9774338 EFLAGS: 00000246 ORIG_RAX: 0000000000000010
RAX: ffffffffffffffda RBX: 0000555aa44ce590 RCX: 00007ffb204313bb
RDX: 0000555aa44ce590 RSI: 00000000c0386447 RDI: 000000000000000e
RBP: 00000000c0386447 R08: 0000000000000038 R09: 0000555aa44d09f0
R10: 0000000000000030 R11: 0000000000000246 R12: 0000000000000000
R13: 000000000000000e R14: 0000555aa44ce5c8 R15: 0000555aa44ccf80

Comment 13 Jean-Jacques Sarton 2019-11-28 16:01:04 UTC
The problem is always present for 5.3.12-300.fc31.x86_64
5.3.11-9000.fc31.x86_64 from copr work well.

Comment 14 Ben Cotton 2020-04-30 20:29:08 UTC
This message is a reminder that Fedora 30 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 30 on 2020-05-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '30'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 30 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 15 Ben Cotton 2020-05-26 18:14:58 UTC
Fedora 30 changed to end-of-life (EOL) status on 2020-05-26. Fedora 30 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.